Package org.eclipse.core.runtime.spi

## Interface IRegistryProvider

    public interface IRegistryProvider

Implement this interface to specify a contributed extension registry.

This interface can be used without OSGi running.

This interface may be implemented by clients.

Since:
  org.eclipse.equinox.registry 3.2
See Also:
  `RegistryFactory.getRegistry()`, `RegistryFactory.setDefaultRegistryProvider(IRegistryProvider)`

### Method Summary

All Methods Instance Methods Abstract Methods
`IExtensionRegistry` `getRegistry()` Returns the extension registry contributed by this provider; must not be `null`.

### Method Detail

#### getRegistry

    IExtensionRegistry getRegistry()

Returns the extension registry contributed by this provider; must not be `null`.

Returns:
  an extension registry